//  attr.c - Sets display attributes

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Sets plotting attributes on a graphics screen.

    p = 0 - Inverse print.
    p = 1 - Over print.
    p = 2 - Unplot.
    p = 3 - Over-plot.
    state = 0 - Off.
    state = 1 - On.
*/

void attr (unsigned char p, unsigned char state) __naked
    {
    p; state;
    __asm
        getstr = 0x00BC
#if __SDCCCALL == 1
        push    af              ; Save first parameter (in A)
#endif
        ld      a, #0x1B        ; <Esc>
        call    getstr
        ld      a, #'A'
        call    getstr
        ld      b, #2           ; Two parameters
        jp      _mxl_putparam
    __endasm;
    }
