//  cursor.c - Plot a point on the screen

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Sets the cursor position.

    x = Horizontal position (0 - 31 or 39).
    y = Vertical position (0 - 23).

*/

void cursor (unsigned char x, unsigned char y) __naked
    {
    x; y;
    __asm
        getstr = 0x00BC
#if __SDCCCALL == 1
        push    af              ; Save first parameter (in A)
#endif
        ld      a, #0x03        ; <Ctrl+C>
        call    getstr
        ld      b, #2           ; Two parameters
        jp      _mxl_putparam
    __endasm;
    }
