//  delete.c - Delete a file

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Delete a file.

   fcb =    Pointer to file control block.
   fn =     Pointer to file name. If NULL the FCB is assumed to contain a file name.
   return:  0 - OK. 1 - Invalid drive. 2 - Name too long. 3 - Extension too long. 4 - Delete failed.
*/

unsigned char delete (FCB *fcb, const char *fn) __naked
    {
    fcb; fn;
    __asm
        ld      c, #0x13        // Delete file
        jp      _mxl_fileini    // Do it
    __endasm;
    }
