//	ioport.h - Access to I/O ports

#ifndef	IOPORT_H
#define IOPORT_H

/**
   Routines for performing Z80 I/O port operations. These routines use the full 16-bit
   address, although there is very little MTX hardware that takes any notice of the
   high byte of the address.
*/

unsigned char inport (unsigned int addr);
void outport (unsigned int addr, unsigned int data);

#endif
