//  inkey.c - Test for a key pressed

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Test for a key pressed. Returns the character code, or zero if no key pressed.

*/

char inkey (void) __naked
    {
    __asm
        kbd = 0x0079
        call    kbd         ; Read keyboard
#if __SDCCCALL != 1
        ld      l, a        ; Return character in L
#endif
        ret
    __endasm;
    }
