// intrst.c - Reset CTC interrupts

#include <mtxint.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Resets all channels of the CTC, stoping all CTC interrupts. Also resets the interrupt
    vector table to its default location 0f 0xFFF0.

*/

void intrst (void) __naked
    {
    __asm
        ijinit = 0x097F
        jp      ijinit;        ; Jump to ROM routine
    __endasm;
    }
