//  mxl_putparam.c - MTXLib internal routine to pass parameters to MTX display driver

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

void mxl_putparam (void) __naked
    {
    __asm
        ; This routine is actually entered via a Jump, not a Call.
        getstr = 0x00BC
#if __SDCCCALL == 1
        pop     af          ; First parameter is in A
        call    getstr
        dec     b
        ret     z
        ld      a, l        ; Second parameter is in L
        call    getstr
        dec     b
        ret     z
#endif
        ld      hl, #2      ; Pointer to parameters
        add     hl, sp
00001$:
        ld      a, (hl)     ; Get next parameter byte
        inc     hl
        call    getstr      ; Send it to the display deriver
        djnz    00001$      ; Repeat for each byte
#if __SDCCCALL == 1
        pop     de          ; Get return address
        ld      sp, hl      ; Clean up stack
        ex      de, hl      ; Return
        jp      (hl)
#else
        ret
#endif
    __endasm;
    }
