//  open.c - Open an existing file

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Open an existing file for reading or writing.

   fcb =    Pointer to file control block.
   fn =     Pointer to file name. If NULL the FCB is assumed to contain a file name.
   return:  0 - OK. 1 - Invalid drive. 2 - Name too long. 3 - Extension too long. 4 - Open failed.
*/

unsigned char open (FCB *fcb, const char *fn) __naked
    {
    fcb; fn;
    __asm
        ld      c, #0x0F        // Open file
        jp      _mxl_fileini    // Do it
    __endasm;
    }
