//  randrd.c - Read a random record

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Read a random record.

   fcb =    File Control Block.
   data =   Pointer to buffer to receive data.
   recno =  Record number to read.
   Return:  Zero for success, non-zero on error.
*/

unsigned char randrd (FCB *fcb, void *data, unsigned int recno) __naked
    {
    fcb; data; recno;
    __asm
        ld      c, #0x21        // Read random record
        jp      _mxl_randio
    __endasm;
    }
