//  randwr.c - Write a random record

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Write a random record.

   fcb =    File Control Block.
   data =   Pointer to buffer containing data.
   recno =  Record number to write.
   Return:  Zero for success, non-zero on error.
*/

unsigned char randwr (FCB *fcb, const void *data, unsigned int recno) __naked
    {
    fcb; data; recno;
    __asm
        ld      c, #0x22        // Write random record
        jp      _mxl_randio
    __endasm;
    }
