//  read.c - Read a sequential record.

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Read the next sequential record from a file.

   fcb =    File Control Block to use for the search.
   data =   Pointer to 128 byte buffer to receive data.
   Return:  Zero for success, non-zero on error.
*/

unsigned char read (FCB *fcb, void *data) __naked
    {
    fcb; data;
    __asm
        ld      c, #0x14    // Sequential read
        jp      _mxl_fileio
    __endasm;
    }
