//  view.c - Move the view position

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Move the graphics screen relative to the sprite planes.

    dir = Direction (0 - 7).
    dis = Distance (0 - 255).

*/

void view (unsigned char dir, unsigned char dis) __naked
    {
    dir; dis;
    __asm
        getstr = 0x00BC
#if __SDCCCALL == 1
        push    af              ; Save first parameter (in A)
#endif
        ld      a, #0x14        ; <Ctrl+T>
        call    getstr
        ld      b, #2           ; Two parameters
        jp      _mxl_putparam
    __endasm;
    }
