//  vs.c - Select a virtual screen

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Select a virtual screen.

    n = Virtual screen number (0 - 7).

*/

void vs (unsigned char n) __naked
    {
    n;
    __asm
        getstr = 0x00BC
#if __SDCCCALL == 1
        push    af              ; Save first parameter (in A)
#endif
        ld      a, #0x1B        ; <Esc>
        call    getstr
        ld      a, #'Z'
        call    getstr
#if __SDCCCALL == 1
        pop     af              ; Restore first parameter (in A)
        jp      getstr
#else
        ld      b, #1           ; One parameter
        jp      _mxl_putparam
#endif
    __endasm;
    }
