//  write.c - Write a sequential record.

#include <diskio.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
   Write the next sequential record to a file.

   fcb =    File Control Block to use for the search.
   data =   Pointer to 128 byte buffer containing data.
   Return:  Zero for success, non-zero on error.
*/

unsigned char write (FCB *fcb, const void *data) __naked
    {
    fcb; data;
    __asm
        ld      c, #0x15    // Sequential write
        jp      _mxl_fileio
    __endasm;
    }
