//  colour.c - Selects a colour to use

#include <mtxscrn.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Sets the colour for the graphics screen.

    p = 0 - Print paper.
    p = 1 - Print ink.
    p = 2 - Non-print paper.
    p = 3 - Non-print ink.
    p = 4 - Border colour.
    n = Colour (0-15).

*/

void colour (unsigned char p, unsigned char n) __naked
    {
    p; n;
    __asm
        getstr = 0x00BC
#if __SDCCCALL == 1
        push    af              ; Save first parameter (in A)
#endif
        ld      a, #0x10        ; <Ctrl+P>
        call    getstr
        ld      b, #2           ; Two parameters
        jp      _mxl_putparam
    __endasm;
    }
