//  putchar.c - Write a character to the screen

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Displays a character.

*/

int putchar (int c) __naked
    {
    c;
    __asm
#if __SDCCCALL == 1
        ld      a, l        ; Character to display
#else
        ld      hl, #2      ; Start of parameters
        add     hl, sp
        ld      a, (hl)     ; Character to display
#endif
        getstr = 0x00BC
        push    af          ; Save the character
        call    getstr      ; Call ROM routine GETSTR
        pop     af          ; Restore the character
#if __SDCCCALL == 1
        ld      e, a        ; And return it
        ld      d, #0
#else                                  
        ld      l, a        ; And return it
        ld      h, #0
#endif
        ret
    __endasm;
    }
