// vdpstatus.c - Read the VDP status register

#include <mtxvdp.h>

#ifndef __SDCCCALL
#define __SDCCCALL  0
#endif

/**
    Read the VDP status register.

    Return: Status value

*/

unsigned char vdpstatus (void) __naked
    {
    __asm
        in      a, (0x02)   ; Read the status register
#if __SDCCCALL != 1
        ld      l, a        ; Return in L
#endif
        ret
    __endasm;
    }
